Subject: Re: [bitcoin-dev] Updating the Scaling Roadmap

From: Pieter Wuille <[email-masked]>
Date: Tue, 11 Jul 2017 13:01:10 -0700

On Jul 11, 2017 09:18, "Chris Stewart via bitcoin-dev" <
[email-masked]> wrote:

Concept ACK.

If drivechains are successful they should be viewed as the way we scale

I strongly disagree with that statement.

Drivechains, and several earlier sidechains ideas, are not a scalability
improvement, but merely enabling users to opt-in for another security model.

While obviously any future with wider adoption will need different
technologies that have different trade-offs, and anyone is free to choose
their security model, I don't think this particular one is interesting. In
terms of validation cost to auditors, it is as bad as just a capacity
increase on chain, while simultaneously adding the extra risk of miners
being able to vote to steal your money.

Cheers,

-- 
Pieter